eLearning System Requirements

About Us > eLearning System Requirements

Browser Versions Supported

  • Internet Explorer IE 8, IE 8, IE 10, IE 11
  • Firefox 3 and greater
  • Safari 3 and greater
  • Google Chrome

Browser Compatibility and Security Requirements

  • Support for 128 Secured Socket Layer (SSL) encryption
  • Enabled cookies and JavaScript
  • Allow Pop-Ups

Troubleshooting Tips

Other Requirements

Adobe Reader

Adobe Flash Player

 
 

The high-tech, high-touch solution to your institution’s training needs.

copyright © 2016 Farm Credit University. All Rights Reserved. | Privacy Policy